package com.yc.ship.module.product.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;

import java.util.Arrays;

@Getter
public enum VoyageStockLogTypeEnum implements IntArrayValuable {
    ADMIN_ADD(0,"管理员添加"),
    ADMIN_SUB(1,"管理员减少"),
    ORDER_PRE_SUB(3,"预定订单扣减"),
    ORDER_PRE_CANCEL(4,"预定订单取消"),
    ORDER_SUB(5,"确定订单扣减"),
    ORDER_CANCEL(6,"确定订单取消"),;
    private final String name;
    private final Integer value;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(VoyageStockLogTypeEnum::getValue).toArray();
    @Override
    public int[] array() {
        return ARRAYS;
    }
    VoyageStockLogTypeEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }
}
